Skip to main content
GET
/
v1
/
search
/
usage
List search usage
curl --request GET \
  --url https://api.search.tinyfish.ai/v1/search/usage \
  --header 'X-API-Key: <api-key>'
{
  "items": [
    {
      "id": 1,
      "request_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "query": "web automation tools",
      "status_code": 200,
      "result_count": 10,
      "results": [
        {
          "position": 1,
          "site_name": "example.com",
          "snippet": "Top web automation tools for 2026...",
          "title": "Best Web Automation Tools",
          "url": "https://example.com/web-automation-tools"
        }
      ],
      "cached": null,
      "response_size_bytes": 4096,
      "created_at": "2026-01-14T10:30:00Z"
    }
  ],
  "total": 1,
  "limit": 100,
  "page": 1,
  "total_pages": 1,
  "has_more": false
}

Authorizations

X-API-Key
string
header
required

API key for authentication. Get your key from the API Keys page.

Query Parameters

start_after
string<date-time>
end_before
string<date-time>
status
enum<string>
Available options:
completed,
failed
limit
integer
default:100
Required range: 1 <= x <= 1000
page
integer
default:1
Required range: x >= 1

Response

Search usage retrieved successfully.

Paginated search usage response

items
object[]
required
total
integer
required
limit
integer
required
page
integer
required
total_pages
integer
required
has_more
boolean
required